CSequenceColl Class Reference

Collection of sequences and k-mer fingerprint vectors. More...

## Public Types

typedef std::vector< unsigned char > | buffer_type

## Public Member Functions

| CSequenceColl ()
| CSequenceColl (const CSequenceColl &)=delete
void | add_sequence (const string &acc, vector_char_type *seq_ptr)
void | set_buffer (size_t i, const buffer_type &buf)
void | sync_buffers_size ()
size_t | size () const
const string & | get_acc (size_t i) const
const vector_char_type & | get_sequence (size_t i) const
size_t | seq_size (size_t i) const
size_t | total_seq_size () const
size_t | buf_size () const
size_t | get_buf_size (size_t i) const
| Get k-mer vector BLOB size.
const unsigned char * | get_buf (size_t i) const
| Get k-mer BLOB pointer.
void | deserialize_k_mers (bvector_ptr_vector_type &k_mers_vect, const bm::bvector<> &bv_req, bm::bvector<>::size_type bv_req_count) const
| Deserialize group of k-mer fingerprint vectors.

## Detailed Description

Collection of sequences and k-mer fingerprint vectors.

Examples
  xsample07a.cpp.

Definition at line 130 of file xsample07a.cpp.

## Member Typedef Documentation

## buffer_type

typedef std::vector<unsigned char> CSequenceColl::buffer_type

Examples
  xsample07a.cpp.

Definition at line 133 of file xsample07a.cpp.

## Constructor & Destructor Documentation

## CSequenceColl() [1/2]

CSequenceColl::CSequenceColl | ( |  | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 136 of file xsample07a.cpp.

Referenced by CSequenceColl().

## CSequenceColl() [2/2]

CSequenceColl::CSequenceColl | ( | const CSequenceColl & |  | ) |

delete

References CSequenceColl().

## Member Function Documentation

## add_sequence()

void CSequenceColl::add_sequence | ( | const string & | acc,
|  | vector_char_type * | seq_ptr )

inline

Examples
  xsample07a.cpp.

Definition at line 140 of file xsample07a.cpp.

Referenced by load_FASTA().

## buf_size()

size_t CSequenceColl::buf_size | ( |  | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 180 of file xsample07a.cpp.

Referenced by compute_group(), compute_jaccard_clusters(), and main().

## deserialize_k_mers()

void CSequenceColl::deserialize_k_mers | ( | bvector_ptr_vector_type & | k_mers_vect,
|  | const bm::bvector<> & | bv_req,
|  | bm::bvector<>::size_type | bv_req_count ) const

Deserialize group of k-mer fingerprint vectors.

Examples
  xsample07a.cpp.

Definition at line 208 of file xsample07a.cpp.

References BM_DECLARE_TEMP_BLOCK, bm::deserialize(), bm::bvector< Alloc >::first(), get_buf(), and bm::bvector< Alloc >::iterator_base::valid().

Referenced by compute_and_sim().

## get_acc()

const string & CSequenceColl::get_acc | ( | size_t | i | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 166 of file xsample07a.cpp.

## get_buf()

const unsigned char * CSequenceColl::get_buf | ( | size_t | i | ) | const

inline

Get k-mer BLOB pointer.

Examples
  xsample07a.cpp.

Definition at line 186 of file xsample07a.cpp.

Referenced by assign_to_best_cluster(), assign_to_best_cluster_union(), compute_group(), compute_seq_group_union(), deserialize_k_mers(), CSeqClusters::elect_leaders(), resolve_duplicates(), and save_kmer_buffers().

## get_buf_size()

size_t CSequenceColl::get_buf_size | ( | size_t | i | ) | const

inline

Get k-mer vector BLOB size.

Examples
  xsample07a.cpp.

Definition at line 183 of file xsample07a.cpp.

Referenced by save_kmer_buffers().

## get_sequence()

const vector_char_type & CSequenceColl::get_sequence | ( | size_t | i | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 167 of file xsample07a.cpp.

Referenced by generate_k_mers().

## seq_size()

size_t CSequenceColl::seq_size | ( | size_t | i | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 169 of file xsample07a.cpp.

Referenced by generate_k_mers_parallel(), and total_seq_size().

## set_buffer()

void CSequenceColl::set_buffer | ( | size_t | i,
|  | const buffer_type & | buf )

inline

Examples
  xsample07a.cpp.

Definition at line 146 of file xsample07a.cpp.

Referenced by generate_k_mers(), and load_kmer_buffers().

## size()

size_t CSequenceColl::size | ( |  | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 163 of file xsample07a.cpp.

Referenced by generate_k_mers(), generate_k_mers_parallel(), main(), save_kmer_buffers(), and sync_buffers_size().

## sync_buffers_size()

void CSequenceColl::sync_buffers_size | ( |  | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 158 of file xsample07a.cpp.

References size().

Referenced by main().

## total_seq_size()

size_t CSequenceColl::total_seq_size | ( |  | ) | const

inline

Examples
  xsample07a.cpp.

Definition at line 171 of file xsample07a.cpp.

References seq_size().

Referenced by generate_k_mers_parallel().

The documentation for this class was generated from the following file:

- xsample07a.cpp